Update an operation

Permissions required: Manage Collateral Packages and Read vault activity

Update an existing operation in the Collateral Management service.
Only the fields provided in the request body will be updated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the operation to update.

Body Params

The fields to update on the operation.

Fields for updating a Collateral Management operation. Any fields left null or omitted will not be updated.

string
enum

The specific action to be performed in the operation.

Valid actions for exposures are:

  1. INITIAL_FUNDING
  2. PAY_DOWN
  3. PAY_UP
  4. INTEREST_PAYDOWN
  5. INTEREST_ACCRUAL

Valid actions for collateral packages are:

  1. INITIAL_DEPOSIT
  2. MARGIN_RETURN,
  3. TOP_UP
  4. CLOSE_RETURN.
  5. REHYPE_IN
  6. REHYPE_OUT
asset
object

Asset symbol or ticker (e.g. BTC)

string

Optional notes or comments related to the operation. Providing a new value will overwrite existing notes.

string

The quantity of the asset to be used in the operation, expressed as a decimal string.

string
enum

The type of entity the operation is being performed on. This can be either a COLLATERAL_PACKAGE or an EXPOSURE.

Allowed:
string

The ID of the collateral package (packageId) or exposure (exposureId) for this operation

Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json